Raneto [![](https://travis-ci.org/gilbitron/Raneto.svg?branch=master)](https://travis-ci.org/gilbitron/Raneto)
======

[![Raneto Logo](https://raw.githubusercontent.com/gilbitron/Raneto/master/logo/logo_readme.png)](http://raneto.com/)


[Raneto](http://raneto.com) is a free, open, simple Markdown powered knowledge base for Node.js.
[Find out more &rarr;](http://docs.raneto.com/what-is-raneto)

Visit [http://docs.raneto.com](http://docs.raneto.com) to see a demo and get started!

Quickstart
----------

1. In a terminal, run:

   ```bash
   git clone https://github.com/gilbitron/Raneto.git
   cd Raneto
   npm install && npm run gulp && npm start
   ```

1. Visit [http://localhost:3000](http://localhost:3000) to display the output.

See the [installation guide](http://docs.raneto.com/install/installing-raneto) for more information.

Supported Node Versions:
- v14.x.x (Current)
- v12.x.x (LTS)
- v10.x.x (LTS)
Please use the latest version available of the above major Node.js releases to ensure you have the latest security fixes! 

Security
--------
Make sure you edit the default username and password in your `config.js` file.
```
##### WARNING #####
// You MUST change the username and password for security
// Do NOT use "admin" as a username as it's easily guessed.
// You are encouraged to use tools to generate a password
// Preferably, use a local password manager
// If you absolutely must use an online tool, here are some suggestions
// https://bitwarden.com/password-generator/
// https://www.grc.com/passwords.htm
```

Markdown Reference
------------------
If you want to embed links and images, you'll need to use the Markdown syntax.  
[See this Markdown Guide](https://www.markdownguide.org/cheat-sheet)

Links
---------------

- [Configuration](http://docs.raneto.com/usage/configuration)
- [Production Notes](http://docs.raneto.com/install/production-notes)
- [Deploying to Heroku](http://docs.raneto.com/tutorials/deploying-raneto-to-heroku)
- [Contributing](https://github.com/gilbitron/Raneto/blob/master/CONTRIBUTE.md)

Related Projects
----------------

- [Deploy Raneto to your servers with Ansible](https://github.com/ryanlelek/raneto-devops) (@ryanlelek)
- [Run Raneto in a Vagrant container](https://github.com/draptik/vagrant-raneto) (@draptik)
- [Deploy Raneto using Docker container](https://github.com/appsecco/raneto-docker) (@madhuakula)

Credits
-------

Raneto was created by [Gilbert Pellegrom](https://gilbitron.me) from [Dev7studios](http://dev7studios.co).
Maintained by [Ryan Lelek](http://www.ryanlelek.com) from [AnsibleTutorials.com](http://www.ansibletutorials.com).
Logo by [@mmamrila](https://github.com/mmamrila)
Released under the [MIT license](https://raw.githubusercontent.com/gilbitron/Raneto/master/LICENSE).
